Bug 111023 - bad source code
Summary: bad source code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: parted   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-26 15:27 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 19:30:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-26 15:27:25 UTC
Description of problem:
I just tried to compile package parted-1_6_3-30 from Fedora.

The compiler said


disk_mips.c(452): warning #175: subscript out of range

The source code is

	char    vd_name[VDNAMESIZE];

	/* later */

	vd_name[VDNAMESIZE] = 0;

Array sizes in C are exclusive, not inclusive.



Version-Release number of selected component (if applicable):
parted-1_6_3-30 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2004-06-25 19:30:43 UTC
disk_mips is no longer included in parted.


Note You need to log in before you can comment on or make changes to this bug.